> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# メモリバージョンの一覧取得

> ストア内のメモリのバージョン履歴を一覧取得します。

`GET /api/v1/cloud/memory_stores/{memory_store_id}/memory_versions`

バージョンのスナップショットを一覧取得します。作成・更新・削除のたびにバージョンが生成されます。

## パスパラメータ

| パラメータ             | 説明                     |
| ----------------- | ---------------------- |
| `memory_store_id` | ストア ID（`memstore_...`) |

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## クエリパラメータ

| パラメータ       | 型      | 必須  | 説明                |
| ----------- | ------ | --- | ----------------- |
| `memory_id` | string | いいえ | 特定のメモリのバージョンで絞り込む |

## リクエスト例

```bash theme={null}
curl "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memory_versions?memory_id=mem_xxx" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス

```json theme={null}
{
  "data": [
    {
      "id": "memver_...",
      "type": "memory_version",
      "memory_store_id": "memstore_...",
      "memory_id": "mem_...",
      "path": "decisions/arch-choice.md",
      "content_size_bytes": 46,
      "content_sha256": "a1b2c3...",
      "operation": "updated",
      "redacted": false,
      "created_at": "2026-05-18T09:30:00.000Z"
    }
  ],
  "has_more": false,
  "first_id": "memver_...",
  "last_id": "memver_..."
}
```
